Doomsday Engine - Feature #2191

Write config files automatically (or periodically) at runtime
2016-12-23 08:50 - skyjake

Status: Closed Start date: 2016-12-23
Priority: Normal % Done: 100%
Assignee: skyjake

Category: User experience

Target version: 2.0 — Home Ul & Packages

Description

To avoid losing your config in case of a crash, config files (persist.pack and .cfg files) should be written whenever changes occur in
the configuration. This could be done via a periodical check.

Associated revisions

Revision 831d6857 - 2016-12-27 15:35 - skyjake

libdoomsday|Client|Server: Autosave .cfg files after cvars changed

IssuelD #2191

Revision 6ebce2c7 - 2016-12-27 21:32 - skyjake

Client|Server|libcore: Rewrite “persist.pack” periodically (if changed)
Records can be queried whether their members have changed their values.
IssuelD #2191

Revision aObc6ab9 - 2017-01-03 23:00 - skyjake

Fixed|libdoomsday: Don’t autosave configs during busy mode

When a game is being loaded, the full configuration may not have been
restored yet so rewriting it would mess things up.

IssuelD #2191

History

#1 - 2016-12-27 15:35 - skyjake
- Status changed from New to In Progress

- % Done changed from 0 to 50

#2 - 2016-12-27 21:32 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#3 - 2017-01-08 13:46 - skyjake

- Status changed from Resolved to Closed
